<?xml version="1.0" encoding="utf-8"?>
<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003" DefaultTargets="Build" ToolsVersion="15.0">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="$(TouchGFXReleasePath)\framework\source\platform\driver\touch\SDL2TouchController.cpp"/>
    <ClCompile Include="$(TouchGFXReleasePath)\framework\source\platform\hal\simulator\sdl2\HALSDL2.cpp"/>
    <ClCompile Include="$(TouchGFXReleasePath)\framework\source\platform\hal\simulator\sdl2\HALSDL2_icon.cpp"/>
    <ClCompile Include="$(TouchGFXReleasePath)\framework\source\platform\hal\simulator\sdl2\OSWrappers.cpp"/>
    <ClCompile Include="..\main.cpp"/>
    <ClCompile Include="..\..\gui\src\common\FrontendApplication.cpp"/>
    <ClCompile Include="..\..\generated\gui_generated\src\common\FrontendApplicationBase.cpp"/>
    <ClCompile Include="..\..\gui\src\model\Model.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\graph_widget\AbstractGraph.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\CircularProgress.cpp"/>
    <ClCompile Include="..\..\gui\src\productpresenter_screen\CollapsibleMenu.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\CustomControlsPresenter.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\CustomControlsView.cpp"/>
    <ClCompile Include="..\..\generated\gui_generated\src\customcontrols_screen\CustomControlsViewBase.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\DatePicker.cpp"/>
    <ClCompile Include="..\..\gui\src\common\DotIndicator.cpp"/>
    <ClCompile Include="..\..\gui\src\easingequation_screen\EasingEquationButton.cpp"/>
    <ClCompile Include="..\..\gui\src\easingequation_screen\EasingEquationGraph.cpp"/>
    <ClCompile Include="..\..\gui\src\easingequation_screen\EasingEquationInOutSelectorGroup.cpp"/>
    <ClCompile Include="..\..\gui\src\easingequation_screen\EasingEquationPresenter.cpp"/>
    <ClCompile Include="..\..\gui\src\easingequation_screen\EasingEquationSelector.cpp"/>
    <ClCompile Include="..\..\gui\src\easingequation_screen\EasingEquationView.cpp"/>
    <ClCompile Include="..\..\generated\gui_generated\src\easingequation_screen\EasingEquationViewBase.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\Gauge.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\graph_widget\Graph.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\graph_widget\GraphBelow.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\graph_widget\GraphDots.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\graph_widget\GraphLine.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\GraphPresenter.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\GraphView.cpp"/>
    <ClCompile Include="..\..\generated\gui_generated\src\graph_screen\GraphViewBase.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\LegendEntry.cpp"/>
    <ClCompile Include="..\..\gui\src\mainmenu_screen\MainMenuPresenter.cpp"/>
    <ClCompile Include="..\..\gui\src\mainmenu_screen\MainMenuView.cpp"/>
    <ClCompile Include="..\..\generated\gui_generated\src\mainmenu_screen\MainMenuViewBase.cpp"/>
    <ClCompile Include="..\..\gui\src\containers\mcuLoadWidget.cpp"/>
    <ClCompile Include="..\..\generated\gui_generated\src\containers\McuLoadWidgetBase.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\graph_widget\PainterVerticalAlpha.cpp"/>
    <ClCompile Include="..\..\gui\src\graph_screen\PieChart.cpp"/>
    <ClCompile Include="..\..\gui\src\productpresenter_screen\ProductPresenterPresenter.cpp"/>
    <ClCompile Include="..\..\gui\src\productpresenter_screen\ProductPresenterView.cpp"/>
    <ClCompile Include="..\..\generated\gui_generated\src\productpresenter_screen\ProductPresenterViewBase.cpp"/>
    <ClCompile Include="..\..\gui\src\common\SwipeContainer.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\ThreeWayProgressBar.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\ThreeWayProgressBarCircle.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\VerticalSlideMenu.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\WheelSelector.cpp"/>
    <ClCompile Include="..\..\gui\src\customcontrols_screen\WheelSelectorExtra.cpp"/>
  </ItemGroup>
  <ItemGroup>
    <None Include="..\..\assets\texts\texts.xlsx"/>
    <None Include="..\..\config\msvs\Application.props"/>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\common\AbstractPartition.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\common\Meta.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\common\Partition.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\common\TouchGFXInit.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\mvp\MVPApplication.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\mvp\MVPHeap.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\mvp\Presenter.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\mvp\View.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\platform\driver\lcd\LCD16bpp.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\platform\driver\lcd\LCD1bpp.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\platform\driver\lcd\LCD24bpp.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\platform\driver\lcd\LCD2bpp.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\platform\driver\lcd\LCD4bpp.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\platform\driver\touch\SDL2TouchController.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\platform\hal\simulator\sdl2\HALSDL2.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Application.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Bitmap.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Callback.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\canvas_widget_renderer\CanvasWidgetRenderer.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\canvas_widget_renderer\Cell.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\canvas_widget_renderer\Outline.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\canvas_widget_renderer\Rasterizer.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\canvas_widget_renderer\Renderer.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\canvas_widget_renderer\RenderingBuffer.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\canvas_widget_renderer\RGBA8.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\canvas_widget_renderer\Scanline.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Color.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\ConstFont.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\clock\AbstractClock.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\clock\AnalogClock.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\clock\DigitalClock.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\Container.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\ListLayout.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\ModalWindow.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\progress_indicators\AbstractDirectionProgress.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\progress_indicators\AbstractProgressIndicator.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\progress_indicators\BoxProgress.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\progress_indicators\CircleProgress.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\progress_indicators\ImageProgress.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\progress_indicators\LineProgress.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\progress_indicators\TextProgress.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\ScrollableContainer.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\SlideMenu.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\Slider.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\containers\ZoomAnimationImage.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Drawable.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\EasingEquations.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Event.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\events\ClickEvent.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\events\DragEvent.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\events\GestureEvent.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Font.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\FontManager.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\Atomic.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\BlitOp.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\BoardConfiguration.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\Buttons.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\Config.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\DMA.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\Gestures.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\GPIO.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\HAL.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\LED.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\NoDMA.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\OSWrappers.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\hal\Types.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\InternalFlashFont.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\JSMOCHelper.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\lcd\LCD.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Math3D.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\mixins\ClickListener.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\mixins\Draggable.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\mixins\FadeAnimator.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\mixins\MoveAnimator.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\mixins\PreRenderable.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\mixins\Snapper.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Screen.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\TextProvider.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Texts.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\TextureMapTypes.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\transforms\DisplayTransformation.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\transforms\TouchCalibration.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\transitions\NoTransition.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\transitions\SlideTransition.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\transitions\Transition.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\TypedText.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\UIEventListener.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Unicode.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\Utils.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\AbstractButton.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\AnimatedImage.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\AnimationTextureMapper.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\Box.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\Button.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\ButtonWithIcon.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\ButtonWithLabel.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\AbstractPainter.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\AbstractPainterBW.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\AbstractPainterGRAY2.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\AbstractPainterGRAY4.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\AbstractPainterRGB565.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\AbstractPainterRGB888.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\AbstractShape.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\Canvas.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\CanvasWidget.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\Circle.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\CWRUtil.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\Line.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterBW.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterGRAY2.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterGRAY2Bitmap.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterGRAY4.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterGRAY4Bitmap.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterRGB565.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterRGB565Bitmap.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterRGB888.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\PainterRGB888Bitmap.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\canvas\Shape.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\Image.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\Keyboard.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\PixelDataWidget.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\RadioButton.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\RadioButtonGroup.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\RepeatButton.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\ScalableImage.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\SnapshotWidget.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\TextArea.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\TextAreaWithWildcard.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\TextureMapper.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\TiledImage.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\ToggleButton.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\TouchArea.hpp"/>
    <ClInclude Include="$(TouchGFXReleasePath)\framework\include\touchgfx\widgets\Widget.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\common\FrontendApplication.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\common\FrontendApplicationBase.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\common\FrontendHeap.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\common\FrontendHeapBase.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\model\Model.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\model\ModelListener.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\common\SimConstants.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\graph_widget\AbstractGraph.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\CircularProgress.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\productpresenter_screen\CollapsibleMenu.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\CustomControlsPresenter.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\CustomControlsView.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\customcontrols_screen\CustomControlsViewBase.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\DatePicker.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\common\DotIndicator.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\easingequation_screen\EasingEquationButton.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\easingequation_screen\EasingEquationGraph.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\easingequation_screen\EasingEquationInOutSelectorGroup.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\easingequation_screen\EasingEquationPresenter.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\easingequation_screen\EasingEquationSelector.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\easingequation_screen\EasingEquationsEnum.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\easingequation_screen\EasingEquationView.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\easingequation_screen\EasingEquationViewBase.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\Gauge.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\graph_widget\Graph.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\graph_widget\GraphBelow.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\graph_widget\GraphDots.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\graph_widget\GraphLine.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\GraphPresenter.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\GraphView.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\graph_screen\GraphViewBase.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\LegendEntry.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\mainmenu_screen\MainMenuPresenter.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\mainmenu_screen\MainMenuView.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\mainmenu_screen\MainMenuViewBase.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\containers\mcuLoadWidget.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\containers\McuLoadWidgetBase.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\graph_widget\PainterVerticalAlpha.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\graph_screen\PieChart.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\productpresenter_screen\ProductPresenterPresenter.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\productpresenter_screen\ProductPresenterView.hpp"/>
    <ClInclude Include="..\..\generated\gui_generated\include\gui_generated\productpresenter_screen\ProductPresenterViewBase.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\common\SwipeContainer.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\ThreeWayProgressBar.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\ThreeWayProgressBarCircle.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\model\Time.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\common\Utils.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\VerticalSlideMenu.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\WheelSelector.hpp"/>
    <ClInclude Include="..\..\gui\include\gui\customcontrols_screen\WheelSelectorExtra.hpp"/>
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="..\touchgfx.rc"/>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{3C47683C-0505-487F-A1FD-75B8490BF72C}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>Application</RootNamespace>
    <WindowsTargetPlatformVersion>10.0.15063.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props"/>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>v141</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props"/>
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform"/>
    <Import Project="..\..\config\msvs\Application.props"/>
    <Import Project="touchgfx_sdl2.props"/>
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform"/>
    <Import Project="..\..\config\msvs\Application.props"/>
    <Import Project="touchgfx_sdl2.props"/>
  </ImportGroup>
  <PropertyGroup Label="UserMacros"/>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>..\..\build\$(Configuration)\bin\</OutDir>
    <IntDir>..\..\build\$(Configuration)\obj\</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>..\..\build\$(Configuration)\bin\</OutDir>
    <IntDir>..\..\build\$(Configuration)\obj\</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <PreprocessorDefinitions>WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <TreatWarningAsError>true</TreatWarningAsError>
      <DisableSpecificWarnings>4355</DisableSpecificWarnings>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <MinimalRebuild>false</MinimalRebuild>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <TreatLinkerWarningAsErrors>true</TreatLinkerWarningAsErrors>
      <DisableSpecificWarnings/>
      <AdditionalOptions>/ignore:4099 %(AdditionalOptions)</AdditionalOptions>
    </Link>
    <PostBuildEvent>
      <Command>copy $(TouchGFXReleasePath)\lib\sdl2\win32\SDL2.dll $(OutDir)
copy $(TouchGFXReleasePath)\lib\sdl2\win32\SDL2_image.dll $(OutDir)
copy $(TouchGFXReleasePath)\lib\sdl2\win32\libpng16-16.dll $(OutDir)
copy $(TouchGFXReleasePath)\lib\sdl2\win32\zlib1.dll $(OutDir)
if exist ..\landscape.png copy /y ..\landscape.png $(OutDir)
if exist ..\portrait.png copy /y ..\portrait.png $(OutDir)
</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <PrecompiledHeader>
      </PrecompiledHeader>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <TreatWarningAsError>true</TreatWarningAsError>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <PostBuildEvent>
      <Command>copy $(TouchGFXReleasePath)\lib\sdl2\win32\SDL2.dll $(OutDir)
copy $(TouchGFXReleasePath)\lib\sdl2\win32\SDL2_image.dll $(OutDir)
copy $(TouchGFXReleasePath)\lib\sdl2\win32\libpng16-16.dll $(OutDir)
copy $(TouchGFXReleasePath)\lib\sdl2\win32\zlib1.dll $(OutDir)
if exist ..\landscape.png copy /y ..\landscape.png $(OutDir)
if exist ..\portrait.png copy /y ..\portrait.png $(OutDir)
</Command>
    </PostBuildEvent>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets"/>
  <ImportGroup Label="ExtensionTargets">
    <Import Project="touchgfx_prebuild.targets"/>
  </ImportGroup>
</Project>
